"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var get_or_1 = require("./get-or");
describe('getOr', function () {
    it('gets value if value is not null or undefined', function () {
        var obj = { a: 1 };
        chai_1.expect(get_or_1.getOr('a', 'orValue')(obj)).to.equal(1);
    });
    it('gets falsy values', function () {
        var obj = {
            a: 0,
            b: '',
            c: false,
        };
        chai_1.expect(get_or_1.getOr('a', 'orValue')(obj)).to.equal(0);
        chai_1.expect(get_or_1.getOr('b', 'orValue')(obj)).to.equal('');
        chai_1.expect(get_or_1.getOr('c', 'orValue')(obj)).to.equal(false);
    });
    it('returns `or` value if value is null or undefined', function () {
        chai_1.expect(get_or_1.getOr('a', 'orValue')({})).to.equal('orValue');
    });
});
//# sourceMappingURL=get-or.spec.js.map