"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var assoc_path_1 = require("./assoc-path");
describe('assocPath()', function () {
    it('sets a first-level prop', function () {
        var obj = {};
        chai_1.expect(assoc_path_1.assocPath(['a'], 1, obj)).to.eql({ a: 1 });
    });
    it('sets a second-level prop', function () {
        var obj = { a: {} };
        chai_1.expect(assoc_path_1.assocPath(['a', 'b'], 1, obj)).to.eql({ a: { b: 1 } });
    });
    it('sets a third-level prop', function () {
        var obj = { a: { b: {} } };
        chai_1.expect(assoc_path_1.assocPath(['a', 'b', 'c'], 1, obj)).to.eql({ a: { b: { c: 1 } } });
    });
    it('overrides value if one exists', function () {
        var obj = { a: 1 };
        chai_1.expect(assoc_path_1.assocPath(['a'], 2, obj)).to.eql({ a: 2 });
    });
    it('it creates new paths that do not exist', function () {
        var obj = {};
        chai_1.expect(assoc_path_1.assocPath(['a', 'b'], 1, obj)).to.eql({ a: { b: 1 } });
    });
    it('overrides non-objects', function () {
        var obj = { a: 1 };
        chai_1.expect(assoc_path_1.assocPath(['a', 'b'], 2, obj)).to.eql({ a: { b: 2 } });
    });
});
//# sourceMappingURL=assoc-path.spec.js.map